org.apache.xmpbox.type

## Class TextType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractSimpleProperty
    - - org.apache.xmpbox.type.TextType

Direct Known Subclasses:
  AgentNameType, ChoiceType, GPSCoordinateType, GUIDType, LocaleType, MIMEType, PartType, ProperNameType, RationalType, RenditionClassType, URIType, URLType, XPathType

    public class TextType
    extends AbstractSimpleProperty

Object representation of a Text XMP type

Author:
  a183132

### Constructor Summary

Constructors
Constructor and Description
`TextType(XMPMetadata metadata, String namespaceURI, String prefix, String propertyName, Object value)` Property Text type constructor (namespaceURI is given)

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getStringValue()` Return the property value
`Object` `getValue()`
`void` `setValue(Object value)` Set the property value

### Methods inherited from class org.apache.xmpbox.type.AbstractSimpleProperty

`getNamespace, getPrefix, getRawValue, toString`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TextType

    public TextType(XMPMetadata metadata,
                    String namespaceURI,
                    String prefix,
                    String propertyName,
                    Object value)

Property Text type constructor (namespaceURI is given)

Parameters:
  `metadata` - The metadata to attach to this property
  `namespaceURI` - the namespace URI to associate to this property
  `prefix` - The prefix to set for this property
  `propertyName` - The local Name of this property
  `value` - The value to set

### Method Detail

#### setValue

    public void setValue(Object value)

Set the property value

Specified by:
  `setValue` in class `AbstractSimpleProperty`
Parameters:
  `value` - The value to set

#### getStringValue

    public String getStringValue()

Description copied from class: `AbstractSimpleProperty`
Return the property value

Specified by:
  `getStringValue` in class `AbstractSimpleProperty`
Returns:
  a string

#### getValue

    public Object getValue()

Specified by:
  `getValue` in class `AbstractSimpleProperty`